Index: /trunk/language/es_AR/common.lang.php
===================================================================
--- /trunk/language/es_AR/common.lang.php	(revision 13058)
+++ /trunk/language/es_AR/common.lang.php	(revision 13059)
@@ -36,5 +36,4 @@
 $lang_info['zero_plural'] = false;
 
-$lang['%.2f (rated %d times)'] = '%.2f (marcado %d veces)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d album updated'] = '%d categoría actualizada';
@@ -57,5 +56,4 @@
 $lang['At least one listed rule must be satisfied.'] = 'Uno de los criterios por lo menos debe satisfacerse.';
 $lang['Author'] = 'Autor';
-$lang['Average rate'] = 'Promedio';
 $lang['Albums'] = 'Categorías';
 $lang['Album'] = 'Categoría';
@@ -100,5 +98,4 @@
 $lang['Quick connect'] = 'Conexión rápida';
 $lang['RSS feed'] = 'flujo RSS';
-$lang['Rate'] = 'Calificación';
 $lang['Register'] = 'Registrarse';
 $lang['Registration'] = 'Registro';
@@ -124,5 +121,4 @@
 $lang['About Piwigo'] = 'Acerca de Piwigo';
 $lang['You are not authorized to access the requested page'] = 'Acceso denegaso';
-$lang['Add to caddie'] = 'agregar al carrito de compras';
 $lang['add this photo to your favorites'] = 'agregar esta imagen a sus favoritos';
 $lang['Administration'] = 'Administración';
@@ -137,5 +133,4 @@
 $lang['Best rated'] = 'Con mejor calificación';
 $lang['display best rated photos'] = 'mostrar las imágenes con mejor calificación';
-$lang['caddie'] = 'Carrito de compras';
 $lang['Calendar'] = 'Calendario';
 $lang['All'] = 'Todo';
@@ -344,3 +339,33 @@
 $lang['This author modified following comment:'] = 'Este autor modificó el comentario siguiente:';
 $lang['This author removed the comment with id %d'] = 'Este autor suprimió el comentario identificado como %d';
+$lang['%d rates'] = '%d calificaciones';
+$lang['Change my password'] = 'Cambiar mi contraseña';
+$lang['Check your email for the confirmation link'] = 'Consultá tu correo para el enlace de confirmación';
+$lang['Edit'] = 'Editar';
+$lang['Enter your new password below.'] = 'Escribí tu nueva contraseña.';
+$lang['EXIF Metadata'] = 'Metadatos EXIF';
+$lang['Hello %s,'] = 'Hola %s,';
+$lang['html tags are not allowed in login'] = 'no se permiten etiquetas HTML en el inicio de sesión';
+$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Si esto fue un error, ignorá este mensaje y no pasará nada';
+$lang['Invalid key'] = 'clave no válida';
+$lang['Invalid username or email'] = 'nombre de usuario inválido o dirección de correo equivocada';
+$lang['IPTC Metadata'] = 'IPTC Metadata';
+$lang['Password reset is not allowed for this user'] = 'No se permite el restablecimiento de la contraseña para este usuario';
+$lang['Password Reset'] = 'Restablecimiento de la contraseña';
+$lang['Please enter your username or email address.'] = 'Por favor, ingresá tu nombre de usuario o dirección de correo electrónico.';
+$lang['Rating score'] = 'Valoración de resultados';
+$lang['Return to home page'] = 'Volver a la página de inicio';
+$lang['Send my connection settings by email'] = 'Enviar mis opciones de conexión por correo electrónico';
+$lang['Someone requested that the password be reset for the following user account:'] = 'Alguien pidió que se restablezca la contraseña para la cuenta del usuario siguiente';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Has sido registrado con éxito, pronto recibirás un correo electrónico con la configuración de tu conexión. ¡Bienvenido! ¡Bienvenida!';
+$lang['The passwords do not match'] = 'Las contraseñas no coinciden';
+$lang['To reset your password, visit the following address:'] = 'Para restablecer tu contraseña, visitá la dirección siguiente:';
+$lang['User "%s" has no email address, password reset is not possible'] = 'El usuario "%s" no tiene correo electrónico, imposible restablecer la contraseña';
+$lang['Username "%s" on gallery %s'] = 'El nombre de usuario "%s" en la galería %s';
+$lang['Username or email'] = 'Nombre de uauario o dirección de correo electrónico';
+$lang['Username modification'] = 'Modificación del nombre de usuario';
+$lang['You will receive a link to create a new password via email.'] = 'Recibirás un enlace para crear una nueva contraseña por correo electrónico.';
+$lang['Your username has been successfully changed to : %s'] = 'Tu nombre de usuario fue cambiado con éxito por el siguiente: %s';
+$lang['Your password has been reset'] = 'Tu contraseña ha sido restablecida';
+$lang['IPTC Metadata'] = 'Metadatos IPTC';
 ?>