Index: trunk/language/eo_EO/admin.lang.php
===================================================================
--- trunk/language/eo_EO/admin.lang.php	(revision 13060)
+++ trunk/language/eo_EO/admin.lang.php	(revision 13060)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+
+$lang['Add to caddie'] = 'Aldoni al la fot-stoko';
+$lang['Caddie'] = 'Fot-stoko';
+?>
Index: trunk/language/eo_EO/common.lang.php
===================================================================
--- trunk/language/eo_EO/common.lang.php	(revision 13059)
+++ trunk/language/eo_EO/common.lang.php	(revision 13060)
@@ -55,5 +55,4 @@
 $lang['Any tag'] = 'Iu ajn etikedo';
 $lang['At least one listed rule must be satisfied.'] = 'Almenaŭ unu regulo plenumiĝas.';
-$lang['At least one tag must match'] = 'Almenaŭ unu etikedo kongruas';
 $lang['Albums'] = 'Fotaroj';
 $lang['Album'] = 'Fotaro';
@@ -88,5 +87,4 @@
 $lang['N/A'] = 'ne disponeblas';
 $lang['New on %s'] = 'Nova je la %s';
-$lang['New password confirmation does not correspond'] = 'Konfirmado de nova pasvorto ne kongruas';
 $lang['Notification'] = 'Sciigo';
 $lang['Number of items'] = 'Nombro de ero';
@@ -122,5 +120,4 @@
 $lang['About Piwigo'] = 'Pri Piwigo';
 $lang['You are not authorized to access the requested page'] = 'Vi ne rajtas legi tiun paĝon. Forfikiĝu !';
-$lang['add to caddie'] = 'aldoni al la fot-stoko';
 $lang['add this photo to your favorites'] = 'Aldoni tiun foton al via legosigno';
 $lang['Administration'] = 'Administrado';
@@ -135,5 +132,4 @@
 $lang['Best rated'] = 'Plej bonaj';
 $lang['display best rated photos'] = 'Montri la plej bonajn fotojn';
-$lang['caddie'] = 'Fot-stoko';
 $lang['Calendar'] = 'Kalendaro';
 $lang['All'] = 'Ĉiuj';
@@ -170,6 +166,4 @@
 $lang['Delete'] = 'Forigi';
 $lang['descending'] = 'malkreskante';
-$lang['download'] = 'elŝuti';
-$lang['download this file'] = 'elŝuti la dosieron';
 $lang['edit'] = 'redakti';
 $lang['wrong date'] = 'maltaŭga dato';
@@ -198,5 +192,4 @@
 $lang['Last'] = 'Lasta';
 $lang['Logout'] = 'Elsaluti';
-$lang['E-mail address'] = 'Retadreso';
 $lang['obligatory'] = 'devigata';
 $lang['Maximum photo height'] = 'Maksimuma alteco de la fotoj';
@@ -258,5 +251,4 @@
 $lang['Search for Author'] = 'Serĉi aŭtoron';
 $lang['Search in albums'] = 'Serĉi en la fotaroj';
-$lang['Search by Date'] = 'Serĉi laŭ dato';
 $lang['Date'] = 'Dato';
 $lang['End-Date'] = 'Fin-dato';
@@ -264,7 +256,5 @@
 $lang['Search for words'] = 'Serĉi vorton';
 $lang['Search for all terms'] = 'Serĉi ĉiujn vortojn';
-$lang['Search for any terms'] = 'Serĉi iun vorton';
 $lang['Empty query. No criteria has been entered.'] = 'Malplena demando, neniu kritero entajpigita.';
-$lang['Search Options'] = 'Serĉaj opcioj';
 $lang['Search results'] = 'Serĉa rezulto';
 $lang['Search in sub-albums'] = 'Serĉi en la sub-fotaroj';
@@ -287,5 +277,4 @@
 $lang['today'] = 'Hodiaŭ';
 $lang['Update your rating'] = 'Ĝisdatigu vian taksadon';
-$lang['wrong filename'] = 'maltaŭga dosiernomo';
 $lang['the username must be given'] = 'vi devas indiki la uzantnomon';
 $lang['useful when password forgotten'] = 'helpinda se vi forgesas vian pasvorton';
@@ -332,5 +321,4 @@
 $lang['Sent by'] = 'Senditaj de';
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'La kuketoj ne disponeblas sur mia komputilo. Aktivu ilin por konektiĝi.';
-$lang['edit this comment'] = "redakti tiun komenton";
 $lang['Edit a comment'] = "redakti komenton";
 $lang['Are you sure?'] = "Ĉu vi certas ?";
@@ -346,8 +334,5 @@
 $lang['This author modified following comment:'] = 'Tiu aŭtoro ŝanĝis la jenan komenton:';
 $lang['This author removed the comment with id %d'] = 'Tiu aŭtoro forviŝis la komenton kies identigilo estas  %d';
-$lang['delete this comment'] = "forviŝi tiun komenton";
-$lang['validate this comment'] = 'validigi tiun komenton';
 $lang['html tags are not allowed in login'] = 'html etikedoj ne estas rajtigitaj en la salutnomo';
-$lang['Enter a username or email address'] = 'Entajpu vian salutnomon aŭ vian retadreson';
 $lang['Invalid username or email'] = 'Nevalida salutnomo aŭ retadreso';
 $lang['Password reset is not allowed for this user'] = 'La renovigo de la pasvorto ne estas permesita por tiu uzanto';
@@ -371,7 +356,29 @@
 $lang['%d rates'] = '%d taksado';
 $lang['Rating score'] = 'Poento';
-$lang['Reset Password'] = 'Renovigi pasvorton';
 $lang['EXIF Metadata'] = 'Datumoj EXIF';
 $lang['IPTC Metadata'] = 'Datumoj IPTC';
+$lang['Download this file'] = 'Elŝuti tiun dosieron';
+$lang['Download'] = 'elŝuti';
+$lang['Edit'] = 'Redakti';
+$lang['Hello %s,'] = 'Saluton %s,';
+$lang['Search by date'] = 'Serĉi laŭ dato';
+$lang['Search for any term'] = 'Serĉi por iu ajn vorto';
+$lang['Send my connection settings by email'] = 'Sendi mian konektan agordon per retmesaĝo';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Vi sukcese registris, vi baldaŭ ricevos retmesaĝe viajn konektajn agordojn. Bonvenon !';
+$lang['Username modification'] = 'ŝanĝo de uzantnomo';
+$lang['Your username has been successfully changed to : %s'] = 'Via uzantnomo sukcese ŝanĝiĝis por : %s';
+$lang['square'] = 'Kvadrata';
+$lang['thumb'] = 'miniaturo';
+$lang['small'] = 'Malgranda';
+$lang['medium'] = 'Mezgranda';
+$lang['large'] = 'Larĝa';
+$lang['xlarge'] = 'Larĝega';
+$lang['xxlarge'] = 'Giganta';
+$lang['original'] = 'Originala';
+$lang['Thank you for registering at %s!'] = 'Dankon pro via registrado ĉe %s!';
+$lang['Here are your connection settings'] = 'Jen viaj konektaj agordoj';
+$lang['Password: %s'] = 'Pasvorto: %s';
+$lang['Username: %s'] = 'Uzantnomo: %s';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Se vi erare ricevis tiun mesaĝon, bonvolu kontakti na %s';
 
 