Index: /extensions/Subscribe_to_comments/language/de_DE/description.txt
===================================================================
--- /extensions/Subscribe_to_comments/language/de_DE/description.txt	(revision 13067)
+++ /extensions/Subscribe_to_comments/language/de_DE/description.txt	(revision 13067)
@@ -0,0 +1,1 @@
+Mit dieser Erweiterung können Sie sich bei neuen Kommentaren per e-mail benachrichtigen lassen.
Index: /extensions/Subscribe_to_comments/language/de_DE/index.php
===================================================================
--- /extensions/Subscribe_to_comments/language/de_DE/index.php	(revision 13067)
+++ /extensions/Subscribe_to_comments/language/de_DE/index.php	(revision 13067)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Subscribe_to_comments/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/Subscribe_to_comments/language/de_DE/plugin.lang.php	(revision 13067)
+++ /extensions/Subscribe_to_comments/language/de_DE/plugin.lang.php	(revision 13067)
@@ -0,0 +1,26 @@
+<?php
+
+$lang['Please check your email inbox to confirm your subscription.'] = 'Bitte überprüfen Sie Ihren Posteingang, um Ihre Abonnementanfrage zu bestätigen.';
+$lang['You have been added to the list of subscribers for this album.'] = 'Sie wurden zur Abonnentenliste dieses Albums hinzugefügt.';
+$lang['You have been added to the list of subscribers for this picture.'] = 'Sie wurden zur Abonnentenliste dieses Bildes hinzugefügt.';
+$lang['Invalid email adress, your are not subscribed to comments.'] = 'Ungültige E-mailadresse, Sie haben Kommentare nicht abonniert.';
+$lang['Successfully unsubscribed your email address from receiving notifications.'] = 'Ihr Abonnement wurde erfolgreich deaktiviert. Sie erhalten keine weiteren Benachrichtigungen.';
+$lang['You are currently subscribed to comments.'] = 'Sie werden derzeit bei neuen Kommentaren benachrichtigt.';
+$lang['Unsubscribe'] = 'Abmelden';
+$lang['Subscribe'] = 'Anmelden';
+$lang['Subscribe without commenting'] = 'Anmelden ohne zu Kommentieren';
+$lang['Notify me of followup comments'] = 'Bei weiteren Kommentaren benachrichtigen';
+$lang['Invalid email adress.'] = 'Ungültige E-mailadresse.';
+$lang['Your subscribtion has been validated, thanks you.'] = 'Danke, ihr Abonnement wurde bestätigt.';
+$lang['Nothing to validate.'] = 'Nichts zu Bestätigen.';
+$lang['Subscriptions of'] = 'Abonnements von';
+$lang['Unsubscribe from email notification'] = 'Von E-mailbenachrichtigungen abmelden';
+$lang['Only unsubscribe notifications for comments from:'] = 'Nur die folgenden Benachrichtigungen deaktivieren:';
+$lang['Unsubscribe from all email notifications'] = 'Alle E-mailbenachrichtigungen deaktivieren';
+$lang['Manage my subscriptions to comments'] = 'Meine Abonnements verwalten';
+$lang['Item'] = 'Eintrag';
+$lang['Date'] = 'Datum';
+$lang['You are not subscribed to any comment.'] = 'Sie haben im Moment keine Benachrichtigungen abonniert.';
+$lang['Return to item page'] = 'Zurück zur Übersichtsseite der Einträge';
+
+?>