Index: /trunk/admin/configuration.php
===================================================================
--- /trunk/admin/configuration.php	(revision 13067)
+++ /trunk/admin/configuration.php	(revision 13068)
@@ -283,5 +283,5 @@
 // TabSheet initialization
 $tabsheet->add('main', l10n('Main'), $conf_link.'main');
-$tabsheet->add('sizes', l10n('Photo Sizes'), $conf_link.'sizes');
+$tabsheet->add('sizes', l10n('Photo sizes'), $conf_link.'sizes');
 $tabsheet->add('display', l10n('Display'), $conf_link.'display');
 $tabsheet->add('comments', l10n('Comments'), $conf_link.'comments');
Index: /trunk/include/derivative.inc.php
===================================================================
--- /trunk/include/derivative.inc.php	(revision 13067)
+++ /trunk/include/derivative.inc.php	(revision 13068)
@@ -240,5 +240,5 @@
   {
     if ($this->params == null)
-      return 'original';
+      return 'Original';
     return $this->params->type;
   }
Index: /trunk/language/ar_SA/common.lang.php
===================================================================
--- /trunk/language/ar_SA/common.lang.php	(revision 13067)
+++ /trunk/language/ar_SA/common.lang.php	(revision 13068)
@@ -372,5 +372,5 @@
 $lang['large'] = 'كبير';
 $lang['medium'] = 'متوسط';
-$lang['original'] = 'الاصلي';
+$lang['Original'] = 'الاصلي';
 $lang['small'] = 'صغير';
 $lang['square'] = 'مربع';
Index: /trunk/language/bg_BG/admin.lang.php
===================================================================
--- /trunk/language/bg_BG/admin.lang.php	(revision 13067)
+++ /trunk/language/bg_BG/admin.lang.php	(revision 13068)
@@ -56,5 +56,5 @@
 $lang['[NBM] Problems or questions'] = '[NBM] Проблеми или въпроси';
 $lang['Resize after upload'] = 'Промени размера след качването';
-$lang['Photo Sizes'] = 'Размер на снимка';
+$lang['Photo sizes'] = 'Размер на снимка';
 $lang['Original Size'] = 'Оригинален размер';
 $lang['A locked gallery is only visible to administrators'] = 'Заключена галерия е видима само за Администратори';
Index: /trunk/language/bg_BG/common.lang.php
===================================================================
--- /trunk/language/bg_BG/common.lang.php	(revision 13067)
+++ /trunk/language/bg_BG/common.lang.php	(revision 13068)
@@ -362,5 +362,5 @@
 $lang['large'] = 'голям';
 $lang['medium'] = 'среден';
-$lang['original'] = 'оригинал';
+$lang['Original'] = 'оригинал';
 $lang['Password Reset'] = 'Нулиране на парола';
 $lang['Password reset is not allowed for this user'] = 'Нулирае на парола не е разрешено за този потребител';
Index: /trunk/language/cs_CZ/common.lang.php
===================================================================
--- /trunk/language/cs_CZ/common.lang.php	(revision 13067)
+++ /trunk/language/cs_CZ/common.lang.php	(revision 13068)
@@ -382,5 +382,5 @@
 $lang['xlarge'] = 'Větší XL';
 $lang['xxlarge'] = 'Větší XXL';
-$lang['original'] = 'Originál';
+$lang['Original'] = 'Originál';
 $lang['Thank you for registering at %s!'] = 'Děkujeme za registraci na stránkách %s!';
 $lang['Here are your connection settings'] = 'Toto jsou vaše přístupové údaje';
Index: /trunk/language/da_DK/common.lang.php
===================================================================
--- /trunk/language/da_DK/common.lang.php	(revision 13067)
+++ /trunk/language/da_DK/common.lang.php	(revision 13068)
@@ -376,5 +376,5 @@
 $lang['xlarge'] = 'XLarge';
 $lang['xxlarge'] = 'XXLarge';
-$lang['original'] = 'Original';
+$lang['Original'] = 'Original';
 $lang['Thank you for registering at %s!'] = 'Tak for din registrering hos %s!';
 $lang['Here are your connection settings'] = 'Her er dine login informationer';
Index: /trunk/language/de_DE/common.lang.php
===================================================================
--- /trunk/language/de_DE/common.lang.php	(revision 13067)
+++ /trunk/language/de_DE/common.lang.php	(revision 13068)
@@ -367,5 +367,5 @@
 $lang['large'] = 'groß';
 $lang['medium'] = 'mittel';
-$lang['original'] = 'original';
+$lang['Original'] = 'Original';
 $lang['Password: %s'] = 'Passwort: %s';
 $lang['Send my connection settings by email'] = 'Verbindungseinstellungen per E-Mail versenden';
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 13067)
+++ /trunk/language/en_UK/admin.lang.php	(revision 13068)
@@ -610,7 +610,4 @@
 $lang['Restore'] = "Restore";
 $lang['Save order'] = "Save order";
-$lang['Save page visits by administrators'] = "Record pages visited by administrators";
-$lang['Save page visits by guests'] = "Record pages visited by guests";
-$lang['Save page visits by users'] = "Record pages visited by users";
 $lang['Save Settings'] = 'Save Settings';
 $lang['Save Template Directory'] = 'Save template directory';
@@ -831,5 +828,4 @@
 $lang['[NBM] Problems or questions'] = "[NBM] Problems or questions";
 $lang['Resize after upload'] = 'Resize after upload';
-$lang['Photo Sizes'] = 'Photo Sizes';
 $lang['Original Size'] = 'Original Size';
 $lang['A locked gallery is only visible to administrators'] = 'A locked gallery is only visible to administrators';
@@ -847,4 +843,6 @@
 $lang['This album contains %d photos, added between %s and %s.'] = 'This album contains %d photos, added between %s and %s.';
 $lang['This album contains no photo.'] = 'This album contains no photo.';
+$lang['Not cropped correctly?'] = 'Not cropped correctly?';
+$lang['Center of interest'] = 'Center of interest';
 $lang['Move to album'] = 'Move to album';
 ?>
Index: /trunk/language/en_UK/common.lang.php
===================================================================
--- /trunk/language/en_UK/common.lang.php	(revision 13067)
+++ /trunk/language/en_UK/common.lang.php	(revision 13068)
@@ -240,5 +240,5 @@
 $lang['Number of photos per page'] = "Number of photos per page";
 $lang['obligatory'] = "mandatory";
-$lang['Original dimensions'] = "Original dimensions";
+$lang['Original dimensions'] = "Original dimensions"; //unused?
 $lang['Page generated in'] = "Page generated in";
 $lang['Password forgotten'] = "Password forgotten";
@@ -375,11 +375,10 @@
 $lang['xlarge'] = "XLarge";
 $lang['xxlarge'] = "XXLarge";
-$lang['original'] = "Original";
+$lang['Original'] = "Original";
 $lang['Thank you for registering at %s!'] = 'Thank you for registering at %s!';
 $lang['Here are your connection settings'] = 'Here are your connection settings';
 $lang['Password: %s'] = 'Password: %s';
 $lang['Username: %s'] = 'Username: %s';
-$lang['Email: %s'] = 'Email: %s';
 $lang['If you think you\'ve received this email in error, please contact us at %s'] = 'If you think you\'ve received this email in error, please contact us at %s';
-
+$lang['Photo sizes'] = 'Photo sizes';
 ?>
Index: /trunk/language/eo_EO/common.lang.php
===================================================================
--- /trunk/language/eo_EO/common.lang.php	(revision 13067)
+++ /trunk/language/eo_EO/common.lang.php	(revision 13068)
@@ -375,5 +375,5 @@
 $lang['xlarge'] = 'Larĝega';
 $lang['xxlarge'] = 'Giganta';
-$lang['original'] = 'Originala';
+$lang['Original'] = 'Originala';
 $lang['Thank you for registering at %s!'] = 'Dankon pro via registrado ĉe %s!';
 $lang['Here are your connection settings'] = 'Jen viaj konektaj agordoj';
Index: /trunk/language/es_ES/admin.lang.php
===================================================================
--- /trunk/language/es_ES/admin.lang.php	(revision 13067)
+++ /trunk/language/es_ES/admin.lang.php	(revision 13068)
@@ -825,5 +825,5 @@
 $lang['Original Size'] = 'Tamaño original';
 $lang['Photo name'] = 'Nombre de la foto';
-$lang['Photo Sizes'] = 'Tamaños de la foto';
+$lang['Photo sizes'] = 'Tamaños de la foto';
 $lang['Resize after upload'] = 'Redimensionar después de subir';
 $lang['Send connection settings by email'] = 'Enviar datos de conexión por email';
Index: /trunk/language/es_ES/common.lang.php
===================================================================
--- /trunk/language/es_ES/common.lang.php	(revision 13067)
+++ /trunk/language/es_ES/common.lang.php	(revision 13068)
@@ -369,5 +369,5 @@
 $lang['large'] = 'grande';
 $lang['medium'] = 'mediano';
-$lang['original'] = 'original';
+$lang['Original'] = 'Original';
 $lang['Password: %s'] = 'Contraseña: %s';
 $lang['Send my connection settings by email'] = 'Enviar mis datos de conexión por email';
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 13067)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 13068)
@@ -827,5 +827,4 @@
 $lang['Zoom'] = 'Zoom';
 $lang['Resize after upload'] = 'Redimensionner après transfert';
-$lang['Photo Sizes'] = 'Tailles de photo';
 $lang['Original Size'] = 'Taille originale';
 $lang['Send connection settings by email'] = 'Envoyer les identifiants par email';
Index: /trunk/language/fr_FR/common.lang.php
===================================================================
--- /trunk/language/fr_FR/common.lang.php	(revision 13067)
+++ /trunk/language/fr_FR/common.lang.php	(revision 13068)
@@ -368,11 +368,17 @@
 $lang['Your username has been successfully changed to : %s'] = 'Votre nom d\'utilisateur a bien été changé par : %s';
 $lang['Your password has been reset'] = 'Votre mot de passe a été réinitialisé';
-$lang['original'] = "Original";
+$lang['Original'] = "Original";
 $lang['Thank you for registering at %s!'] = 'Merci pour votre inscription sur %s !';
 $lang['Here are your connection settings'] = 'Voici vos identifiants';
 $lang['Password: %s'] = 'Mot de passe : %s';
 $lang['Username: %s'] = 'Nom d\'utilisateur : %s';
-$lang['Email: %s'] = 'Email: %s';
 $lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Si vous pensez avoir reçu cet email par erreur, veuillez nous contacter %s';
-
+$lang['Photo sizes'] = 'Tailles de photo';
+$lang['square'] = "Carré";
+$lang['thumb'] = "Miniature";
+$lang['small'] = "Petit";
+$lang['medium'] = "Moyen";
+$lang['large'] = "Large";
+$lang['xlarge'] = "XLarge";
+$lang['xxlarge'] = "XXLarge";
 ?>
Index: /trunk/language/hu_HU/admin.lang.php
===================================================================
--- /trunk/language/hu_HU/admin.lang.php	(revision 13067)
+++ /trunk/language/hu_HU/admin.lang.php	(revision 13068)
@@ -821,5 +821,5 @@
 $lang['Activate comments'] = 'Hozzászólások aktiválása';
 $lang['Original Size'] = 'Eredeti méret';
-$lang['Photo Sizes'] = 'Képméretek';
+$lang['Photo sizes'] = 'Képméretek';
 $lang['Resize after upload'] = 'Feltöltés után átméretezés';
 $lang['Send connection settings by email'] = 'Kapcsolat beállításainak küldése e-mailben';
Index: /trunk/language/hu_HU/common.lang.php
===================================================================
--- /trunk/language/hu_HU/common.lang.php	(revision 13067)
+++ /trunk/language/hu_HU/common.lang.php	(revision 13068)
@@ -370,5 +370,5 @@
 $lang['large'] = 'Nagy';
 $lang['medium'] = 'Közepes';
-$lang['original'] = 'Eredeti';
+$lang['Original'] = 'Eredeti';
 $lang['small'] = 'Kicsi';
 $lang['square'] = 'Négyzetes';
Index: /trunk/language/it_IT/admin.lang.php
===================================================================
--- /trunk/language/it_IT/admin.lang.php	(revision 13067)
+++ /trunk/language/it_IT/admin.lang.php	(revision 13068)
@@ -841,5 +841,5 @@
 $lang['Zoom'] = 'Zoom';
 $lang['Resize after upload'] = 'Ridimenzionare dopo il trasferimento';
-$lang['Photo Sizes'] = 'Dimenzioni delle foto';
+$lang['Photo sizes'] = 'Dimenzioni delle foto';
 $lang['Original Size'] = 'Dimenzioni originali';
 $lang['Send connection settings by email'] = 'Inviare gli ID via email';
Index: /trunk/language/it_IT/common.lang.php
===================================================================
--- /trunk/language/it_IT/common.lang.php	(revision 13067)
+++ /trunk/language/it_IT/common.lang.php	(revision 13068)
@@ -368,5 +368,5 @@
 $lang['Your username has been successfully changed to : %s'] = 'Il vostro nome d\'utente è stato cambiato con : %s';
 $lang['Your password has been reset'] = 'La password è stata reimpostata';
-$lang['original'] = 'Originale';
+$lang['Original'] = 'Originale';
 $lang['Thank you for registering at %s!'] = 'Grazie per esservi iscritti su %s !';
 $lang['Here are your connection settings'] = 'Eccovi i vostri ID';
Index: /trunk/language/ja_JP/common.lang.php
===================================================================
--- /trunk/language/ja_JP/common.lang.php	(revision 13067)
+++ /trunk/language/ja_JP/common.lang.php	(revision 13068)
@@ -375,5 +375,5 @@
 $lang['xlarge'] = 'XL';
 $lang['xxlarge'] = 'XXL';
-$lang['original'] = 'オリジナル';
+$lang['Original'] = 'オリジナル';
 $lang['Thank you for registering at %s!'] = '%sに登録して、ありがとうございました!';
 $lang['Here are your connection settings'] = 'あなたの接続設定です。';
Index: /trunk/language/km_KH/common.lang.php
===================================================================
--- /trunk/language/km_KH/common.lang.php	(revision 13067)
+++ /trunk/language/km_KH/common.lang.php	(revision 13068)
@@ -372,5 +372,5 @@
 $lang['medium'] = 'មធ្យម​';
 $lang['large'] = 'ធំ';
-$lang['original'] = 'ដើម​';
+$lang['Original'] = 'ដើម​';
 $lang['Thank you for registering at %s!'] = 'អរ​គុណ​សំរាប់​ការ​ចុះ​ឈ្មោះ​នៅ​ %s!';
 $lang['Here are your connection settings'] = 'នេះ​ជា​ការ​ចាត់​តាំង​តំណរ​ភ្ជាប់​របស់​អ្នក​';
Index: /trunk/language/lv_LV/admin.lang.php
===================================================================
--- /trunk/language/lv_LV/admin.lang.php	(revision 13067)
+++ /trunk/language/lv_LV/admin.lang.php	(revision 13068)
@@ -826,5 +826,5 @@
 $lang['The original maximum width must be a number between %d and %d'] = 'Oriģināla maksimālajam platumam jābūt skaitlim starp %d un %d';
 $lang['Resize after upload'] = 'Mainīt izmērus pēc augšupielāde';
-$lang['Photo Sizes'] = 'Foto Izmēri';
+$lang['Photo sizes'] = 'Foto Izmēri';
 $lang['Original Size'] = 'Oriģinālie Izmēri';
 $lang['A locked gallery is only visible to administrators'] = 'Bloķētā galerija ir redzama tikai administratoriem';
Index: /trunk/language/lv_LV/common.lang.php
===================================================================
--- /trunk/language/lv_LV/common.lang.php	(revision 13067)
+++ /trunk/language/lv_LV/common.lang.php	(revision 13068)
@@ -375,5 +375,5 @@
 $lang['xlarge'] = 'XLiels';
 $lang['xxlarge'] = 'XXLiels';
-$lang['original'] = 'Oriģināls';
+$lang['Original'] = 'Oriģināls';
 $lang['Thank you for registering at %s!'] = 'Paldies par reģistrēšanos %s!';
 $lang['Here are your connection settings'] = 'Šeit ir Jūsu konekcijas iestatījumi';
Index: /trunk/language/nl_NL/common.lang.php
===================================================================
--- /trunk/language/nl_NL/common.lang.php	(revision 13067)
+++ /trunk/language/nl_NL/common.lang.php	(revision 13068)
@@ -367,5 +367,5 @@
 $lang['large'] = 'groot';
 $lang['medium'] = 'middel';
-$lang['original'] = 'origineel';
+$lang['Original'] = 'origineel';
 $lang['small'] = 'klein';
 $lang['square'] = 'vierkant';
Index: /trunk/language/pl_PL/admin.lang.php
===================================================================
--- /trunk/language/pl_PL/admin.lang.php	(revision 13067)
+++ /trunk/language/pl_PL/admin.lang.php	(revision 13068)
@@ -842,5 +842,5 @@
 $lang['The original maximum width must be a number between %d and %d'] = 'Oryginalna maksymalna szerokość musi być liczbą pomiędzy %d i %d';
 $lang['Resize after upload'] = 'Zmień rozmiar po wgraniu';
-$lang['Photo Sizes'] = 'Rozmiary Zdjęć';
+$lang['Photo sizes'] = 'Rozmiary Zdjęć';
 $lang['Original Size'] = 'Oryginalny Rozmiar';
 
Index: /trunk/language/pl_PL/common.lang.php
===================================================================
--- /trunk/language/pl_PL/common.lang.php	(revision 13067)
+++ /trunk/language/pl_PL/common.lang.php	(revision 13068)
@@ -379,5 +379,5 @@
 $lang['xlarge'] = 'Bardzo duży (XL)';
 $lang['xxlarge'] = 'Bardzo bardzo duży (XXL)';
-$lang['original'] = 'Oryginalny';
+$lang['Original'] = 'Oryginalny';
 $lang['Thank you for registering at %s!'] = 'Dziękujemy za rejestrację na %s!';
 $lang['Here are your connection settings'] = 'Dane Twojego połączenia';
Index: /trunk/language/pt_PT/common.lang.php
===================================================================
--- /trunk/language/pt_PT/common.lang.php	(revision 13067)
+++ /trunk/language/pt_PT/common.lang.php	(revision 13068)
@@ -375,5 +375,5 @@
 $lang['xlarge'] = 'Extra grande';
 $lang['xxlarge'] = 'Gigante';
-$lang['original'] = 'Original';
+$lang['Original'] = 'Original';
 $lang['Thank you for registering at %s!'] = 'Obrigado por registrar-se em %s!';
 $lang['Here are your connection settings'] = 'Aqui estão suas configurações de conexão';
Index: /trunk/language/sk_SK/admin.lang.php
===================================================================
--- /trunk/language/sk_SK/admin.lang.php	(revision 13067)
+++ /trunk/language/sk_SK/admin.lang.php	(revision 13068)
@@ -832,5 +832,5 @@
 $lang['The original maximum width must be a number between %d and %d'] = 'Originálna maximálna šírka musí byť číslo medzi %d a %d';
 $lang['Resize after upload'] = 'Zmeniť rozmer po nahratí';
-$lang['Photo Sizes'] = 'Veľkosť fotky';
+$lang['Photo sizes'] = 'Veľkosť fotky';
 $lang['Original Size'] = 'Originálna veľkosť';
 $lang['A locked gallery is only visible to administrators'] = 'Uzamknutý album je viditeľný len administrátorom'; 
Index: /trunk/language/sk_SK/common.lang.php
===================================================================
--- /trunk/language/sk_SK/common.lang.php	(revision 13067)
+++ /trunk/language/sk_SK/common.lang.php	(revision 13068)
@@ -384,5 +384,5 @@
 $lang['xlarge'] = 'Väčší';
 $lang['xxlarge'] = 'Najväčší';
-$lang['original'] = 'Originál';
+$lang['Original'] = 'Originál';
 $lang['Thank you for registering at %s!'] = 'Ďakujeme za registráciu na %s!';
 $lang['Here are your connection settings'] = 'Tu je Vaše nastavenie pripojenia';
Index: /trunk/language/sl_SL/common.lang.php
===================================================================
--- /trunk/language/sl_SL/common.lang.php	(revision 13067)
+++ /trunk/language/sl_SL/common.lang.php	(revision 13068)
@@ -370,5 +370,5 @@
 $lang['large'] = 'large';
 $lang['medium'] = 'medium';
-$lang['original'] = 'original';
+$lang['Original'] = 'Original';
 $lang['Send my connection settings by email'] = 'Pošlji nastavitve povezave po e-pošti';
 $lang['small'] = 'small';
Index: /trunk/language/sr_RS/common.lang.php
===================================================================
--- /trunk/language/sr_RS/common.lang.php	(revision 13067)
+++ /trunk/language/sr_RS/common.lang.php	(revision 13068)
@@ -375,5 +375,5 @@
 $lang['xlarge'] = 'XL велика';
 $lang['xxlarge'] = 'XXL велика';
-$lang['original'] = 'оригинална';
+$lang['Original'] = 'оригинална';
 $lang['Thank you for registering at %s!'] = 'Хвала за регистрацију на %s!';
 $lang['Here are your connection settings'] = 'Овде су ваша подешавања за везу';
Index: /trunk/language/th_TH/common.lang.php
===================================================================
--- /trunk/language/th_TH/common.lang.php	(revision 13067)
+++ /trunk/language/th_TH/common.lang.php	(revision 13068)
@@ -375,5 +375,5 @@
 $lang['xlarge'] = 'ใหญ่กว่า';
 $lang['xxlarge'] = 'ใหญ่มาก';
-$lang['original'] = 'ขนาดดั้งเดิม';
+$lang['Original'] = 'ขนาดดั้งเดิม';
 $lang['Thank you for registering at %s!'] = 'ขอบคุณสำหรับการลงทะเบียนที่ %s!';
 $lang['Here are your connection settings'] = 'นี่คือการตั้งค่าการเชื่อมต่อของคุณ';
Index: /trunk/language/tr_TR/common.lang.php
===================================================================
--- /trunk/language/tr_TR/common.lang.php	(revision 13067)
+++ /trunk/language/tr_TR/common.lang.php	(revision 13068)
@@ -241,5 +241,5 @@
 $lang['obligatory'] = 'obligatori';
 $lang['Original dimensions'] = 'Orijinal boyutlar';
-$lang['original'] = "asıl";
+$lang['Original'] = "asıl";
 $lang['Page generated in'] = 'Sayfa oluşturulma';
 $lang['Password forgotten'] = 'Unutulmuş Parola';
Index: /trunk/language/uk_UA/common.lang.php
===================================================================
--- /trunk/language/uk_UA/common.lang.php	(revision 13067)
+++ /trunk/language/uk_UA/common.lang.php	(revision 13068)
@@ -375,5 +375,5 @@
 $lang['xlarge'] = 'XВеликий';
 $lang['xxlarge'] = 'XXВеликий';
-$lang['original'] = 'Оригінальний';
+$lang['Original'] = 'Оригінальний';
 $lang['Thank you for registering at %s!'] = 'Дякуємо вам за реєстрацію на сайті %s!';
 $lang['Here are your connection settings'] = 'Ось Ваші налаштування з\'єднання';
Index: /trunk/language/vi_VN/admin.lang.php
===================================================================
--- /trunk/language/vi_VN/admin.lang.php	(revision 13067)
+++ /trunk/language/vi_VN/admin.lang.php	(revision 13068)
@@ -830,5 +830,5 @@
 $lang['With no virtual album'] = 'Không kèm theo album ảnh ảo';
 $lang['Resize after upload'] = 'Điều chỉnh kích thước sau khi gởi ảnh';
-$lang['Photo Sizes'] = 'Kích thước ảnh';
+$lang['Photo sizes'] = 'Kích thước ảnh';
 $lang['Original Size'] = 'Kích thước gốc';
 
Index: /trunk/language/vi_VN/common.lang.php
===================================================================
--- /trunk/language/vi_VN/common.lang.php	(revision 13067)
+++ /trunk/language/vi_VN/common.lang.php	(revision 13068)
@@ -375,5 +375,5 @@
 $lang['xlarge'] = 'Rất lớn';
 $lang['xxlarge'] = 'Cực lớn';
-$lang['original'] = 'Bản gốc';
+$lang['Original'] = 'Bản gốc';
 $lang['Thank you for registering at %s!'] = 'Cảm ơn bạn đã đăng ký tại %s!';
 $lang['Here are your connection settings'] = 'Đây là thiết lập kết nối của bạn';
Index: /trunk/language/zh_CN/admin.lang.php
===================================================================
--- /trunk/language/zh_CN/admin.lang.php	(revision 13067)
+++ /trunk/language/zh_CN/admin.lang.php	(revision 13068)
@@ -828,5 +828,5 @@
 $lang['Original Size'] = '源大小';
 $lang['Photo name'] = '图片名称';
-$lang['Photo Sizes'] = '图片大小';
+$lang['Photo sizes'] = '图片大小';
 $lang['Predefined filter'] = '预定义过滤器';
 $lang['Resize after upload'] = '上传后修改尺寸';
Index: /trunk/language/zh_CN/common.lang.php
===================================================================
--- /trunk/language/zh_CN/common.lang.php	(revision 13067)
+++ /trunk/language/zh_CN/common.lang.php	(revision 13068)
@@ -371,5 +371,5 @@
 $lang['large'] = '大尺寸';
 $lang['medium'] = '中尺寸';
-$lang['original'] = '原始尺寸';
+$lang['Original'] = '原始尺寸';
 $lang['Password: %s'] = '密码：%s';
 $lang['Send my connection settings by email'] = '发送注册信息到我的Email';
Index: /trunk/language/zh_TW/common.lang.php
===================================================================
--- /trunk/language/zh_TW/common.lang.php	(revision 13067)
+++ /trunk/language/zh_TW/common.lang.php	(revision 13068)
@@ -376,5 +376,5 @@
 $lang['xlarge'] = 'XL';
 $lang['xxlarge'] = 'XXL';
-$lang['original'] = '原始大小';
+$lang['Original'] = '原始大小';
 $lang['Thank you for registering at %s!'] = '感謝您在%s!註冊';
 $lang['Here are your connection settings'] = '以下是您的連結設定';
Index: /trunk/themes/default/template/index.tpl
===================================================================
--- /trunk/themes/default/template/index.tpl	(revision 13067)
+++ /trunk/themes/default/template/index.tpl	(revision 13068)
@@ -8,5 +8,5 @@
 			<span class="pwg-icon pwg-icon-sort">&nbsp;</span><span class="pwg-button-text">{'Sort order'|@translate}</span>
 		</a>
-		<div id="sortOrderBox" style="display:none; text-align:left" onclick="toggleSortOrderBox()" onmouseout="e=event.toElement||event.relatedTarget;if(e.parentNode!=this&amp;&amp;e!=this)toggleSortOrderBox()">
+		<div id="sortOrderBox" style="display:none; text-align:left" onclick="toggleSortOrderBox()" onmouseout="e=event.toElement||event.relatedTarget;e.parentNode==this||e==this||toggleSortOrderBox()">
 			{'Sort order'|@translate}:
 			{foreach from=$image_orders item=image_order}<br>
@@ -36,8 +36,8 @@
 
 {if !empty($image_derivatives)}
-		<li>{strip}<a href="javascript:toggleImageDerivativesBox()" id="derivativeChooseLink" title="{'Photo Sizes'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
-			<span class="pwg-icon pwg-icon-sizes">&nbsp;</span><span class="pwg-button-text">{'Photo Sizes'|@translate}</span>
+		<li>{strip}<a href="javascript:toggleImageDerivativesBox()" id="derivativeChooseLink" title="{'Photo sizes'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+			<span class="pwg-icon pwg-icon-sizes">&nbsp;</span><span class="pwg-button-text">{'Photo sizes'|@translate}</span>
 		</a>
-		<div id="derivativeSwitchBox" style="display:none; text-align:left" onclick="toggleImageDerivativesBox()" onmouseout="e=event.toElement||event.relatedTarget;if(e.parentNode!=this&amp;&amp;e!=this)toggleImageDerivativesBox()">
+		<div id="derivativeSwitchBox" style="display:none; text-align:left" onclick="toggleImageDerivativesBox()" onmouseout="e=event.toElement||event.relatedTarget;e.parentNode==this||e==this||toggleImageDerivativesBox()">
 			{foreach from=$image_derivatives item=image_derivative name=deriv_loop}{if !$smarty.foreach.deriv_loop.first}<br>{/if}
 			{if $image_derivative.SELECTED}
Index: /trunk/themes/default/template/picture_content.tpl
===================================================================
--- /trunk/themes/default/template/picture_content.tpl	(revision 13067)
+++ /trunk/themes/default/template/picture_content.tpl	(revision 13068)
@@ -26,6 +26,6 @@
 	{
 		elt.style.position = "absolute";
-		elt.style.left = (ePos.offsetLeft + 10) + "px";
-		elt.style.top = (ePos.offsetTop + ePos.offsetHeight) + "px";
+		elt.style.left = (ePos.offsetLeft+10)+"px";
+		elt.style.top = (ePos.offsetTop+ePos.offsetHeight)+"px";
 		elt.style.display="";
 	}
@@ -40,5 +40,5 @@
 {/foreach}
 {if isset($U_ORIGINAL)}
-<a href="javascript:phpWGOpenWindow('{$U_ORIGINAL}','xxx','scrollbars=yes,toolbar=no,status=no,resizable=yes')" rel="nofollow">{'original'|@translate}</a>
+<a href="javascript:phpWGOpenWindow('{$U_ORIGINAL}','xxx','scrollbars=yes,toolbar=no,status=no,resizable=yes')" rel="nofollow">{'Original'|@translate}</a>
 {/if}
 </div>