Index: /trunk/language/de_DE/admin.lang.php
===================================================================
--- /trunk/language/de_DE/admin.lang.php	(revision 13069)
+++ /trunk/language/de_DE/admin.lang.php	(revision 13070)
@@ -221,6 +221,4 @@
 $lang['manage sub-albums'] = 'Verwalten Sie die Sub-Alben';
 $lang['Manage'] = 'Verwalten';
-$lang['maximum height'] = 'maximale Höhe';
-$lang['maximum width'] = 'maximale Breite';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Ausführungszeit ist beendet, Vorgang muss manuell fortgesetzt werden [Verstrichene Zeit: %d Sekunde].';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'Die vorgesehene Zeit zum versenden von E-Mail ist begrenzt. Andere Benutzer werden nicht aufgelistet.';
@@ -335,20 +333,13 @@
 $lang['User list'] = 'Benutzerliste und -verwaltung';
 $lang['Edit photo information'] = 'Bearbeite Fotoinformation';
-$lang['Thumbnail creation'] = 'Erstellung von Vorschaubildern';
 $lang['Database synchronization with files'] = 'Synchronisierung der Datenbank';
 $lang['all'] = 'alle';
-$lang['photos without thumbnail (jpeg and png only)'] = 'Fotos ohne Vorschaubild (nur jpeg und png)';
 $lang['height must be a number superior to'] = 'die Höhe muss größer sein als';
 $lang['width must be a number superior to'] = 'die Breite muss größer sein als';
 $lang['for the file format'] = 'für das Format der Datei';
-$lang['No missing thumbnail'] = 'Kein Vorschaubild fehlt';
 $lang['Photo unreachable or no support'] = 'Foto unerreichbar oder nicht unterstützt';
 $lang['GD version'] = 'Version von GD Library';
-$lang['generated in'] = 'generiert in';
-$lang['Results of miniaturization'] = 'Ergebnis der Vorschaubilderstellung';
 $lang['General statistics'] = 'Allgemeine Statistiken';
-$lang['max time'] = 'max Zeit';
 $lang['average time'] = 'durchschnittliche Zeit';
-$lang['min time'] = 'min Zeit';
 $lang['number of miniaturized photos'] = 'Anzahl verkleinerter Fotos';
 $lang['total time'] = 'Gesamtzeit';
@@ -418,7 +409,4 @@
 $lang['Element'] = 'Bilder';
 $lang['Section'] = 'Abschnitt';
-$lang['Save page visits by guests'] = 'Speichere Seitenaufrufe von Gästen';
-$lang['Save page visits by users'] = 'Speichere Seitenaufrufe pro Benutzer';
-$lang['Save page visits by administrators'] = 'Speichere auch Seitenaufrufe des Administrators';
 $lang['An information email was sent to group "%s"'] = 'Eine Info-E-Mail wurde gesendet an die Gruppe "%s"';
 $lang['Send an information email to group members'] = 'Sende eine Info-E-Mail an die Mitglieder dieser Gruppe';
@@ -442,5 +430,4 @@
 $lang['guest'] = 'Gast';
 $lang['default values'] = 'Standardwerte';
-$lang['High filesize'] = 'HQ Dateigröße';
 // --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Guest cannot be deleted'] = 'Der Gast kann nicht gelöscht werden';
@@ -641,5 +628,4 @@
 $lang['Activate Navigation Thumbnails'] = 'Aktiviere Navigationsvorschaubilder';
 $lang['Activate icon "%s"'] = 'Aktiviere Icon "%s"';
-$lang['Activate field "%s"'] = 'Aktiviere  Bereich "%s"';
 $lang['Photo Properties'] = 'Fotoeigenschaften';
 $lang['Allow user customization'] = 'Erlaube Anpassungen durch Benutzer';
@@ -796,5 +782,4 @@
 $lang['Height'] = 'Höhe';
 $lang['Follow Orientation'] = 'Folgen Sie der Orientierung';
-$lang['If you want to regenerate thumbnails, please go to the <a href="%s">Batch Manager</a>.'] = 'Wenn Sie die Vorschaubilder erneuern möchten gehen Sie bitte zum <a href="%s"> Stapelverarbeitungsmanager</a>.';
 $lang['Graphics Library'] = ' Grafikbibliothek';
 $lang['Add a criteria'] = 'Ein Kriterium hinzufügen'; 
@@ -830,3 +815,27 @@
 $lang['You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'] = 'Du benutzt den einfachen Uploader. Benutze den <a href="%s">Flash uploader</a> stattdessen.';
 $lang['You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.'] = 'Probleme mit dem Flash Uploader. Benutze den <a href="%s">Browser uploader</a>';
+$lang['A locked gallery is only visible to administrators'] = 'Eine gesperrte Gallerie kann nur von Administratoren betrachtet werden';
+$lang['Activate comments'] = 'Kommentare aktivieren';
+$lang['administrators'] = 'Administratoren';
+$lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = 'Maximale Auflösung (ca.): %dM Pixel (das sind %dx%d Pixel).';
+$lang['Default comments order'] = 'Standard Sortierreihenfolge für Kommentare';
+$lang['Gallery unlocked'] = 'Gallerie entsperrt';
+$lang['modified'] = 'verändert';
+$lang['Move to album'] = 'Verschiebe ins Album';
+$lang['Notify administrators when a comment is'] = 'Administratoren bei folgenden Kommentaränderungen benachrichtigen';
+$lang['Original Size'] = 'Originalgröße';
+$lang['pending validation'] = 'Auf Bestätigung wartend';
+$lang['Photo name'] = 'Bildname';
+$lang['registered users'] = 'Registrierte Besucher';
+$lang['Resize after upload'] = 'Größe nach dem Upload anpassen';
+$lang['Save visits in history for'] = 'Besuche in der History speichern für';
+$lang['Send connection settings by email'] = 'Verbindungseinstellungen als E-mail senden';
+$lang['simple visitors'] = 'Einfache Besucher';
+$lang['The original image quality must be a number between %d and %d'] = 'Die original Bildqualität muss eine Zahl zwischen %d und %d sein';
+$lang['The original maximum height must be a number between %d and %d'] = 'Die original Maximalhöhe muss eine Zahl zwischen %d und %d sein';
+$lang['The original maximum width must be a number between %d and %d'] = 'Die original Maximalbreite muss eine Zahl zwischen %d und %d sein';
+$lang['This album contains %d photos, added between %s and %s.'] = 'Die %d Fotos dieses Albums wurden zwischen %s und %s hochgeladen.';
+$lang['This album contains %d photos, added on %s.'] = 'Die %d Fotos dieses Albums wurden am %s hochgeladen.';
+$lang['This album contains no photo.'] = 'Dieses Album enthält keine Fotos.';
+$lang['Unlock gallery'] = 'Gallerie entsperren';
 ?>