Index: trunk/language/pl_PL/admin.lang.php
===================================================================
--- trunk/language/pl_PL/admin.lang.php	(revision 13068)
+++ trunk/language/pl_PL/admin.lang.php	(revision 13120)
@@ -219,6 +219,4 @@
 $lang['manage sub-albums'] = 'Zarządzaj pod-albumami';
 $lang['Manage'] = 'Zarządzaj';
-$lang['maximum height'] = 'maksymalna wysokość';
-$lang['maximum width'] = 'maksymalna szerokość';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Czas wykonania minął, proces musi być kontynuowany [Szacowany czas: %d sekund].';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Czas wykonania minął, proces musi być kontynuowany [Szacowany czas: %d sekund].';
@@ -335,20 +333,13 @@
 $lang['User list'] = 'Lista użytkowników';
 $lang['Edit photo information'] = 'Edytuj informacje o obrazie';
-$lang['Thumbnail creation'] = 'Tworzenie miniatur';
 $lang['Database synchronization with files'] = 'Synchronizacja bazy danych z plikami';
 $lang['all'] = 'wszystkie';
-$lang['photos without thumbnail (jpeg and png only)'] = 'obrazy bez miniatur (tylko pliki jpeg i png)';
 $lang['height must be a number superior to'] = 'wysokość musi być liczbą większą od';
 $lang['width must be a number superior to'] = 'szerokość musi być liczbą większą od';
 $lang['for the file format'] = 'dla typu pliku';
-$lang['No missing thumbnail'] = 'Aktualnie nie ma brakujących miniatur';
 $lang['Photo unreachable or no support'] = 'Obraz niedostępny lub brak wsparcia';
 $lang['GD version'] = 'Wersja GD';
-$lang['generated in'] = 'wygenerowane w';
-$lang['Results of miniaturization'] = 'Wyniki tworzenia miniatur';
 $lang['General statistics'] = 'Ogólne statystyki';
-$lang['max time'] = 'czas maksymalny';
 $lang['average time'] = 'czas średni';
-$lang['min time'] = 'czas minimalny';
 $lang['number of miniaturized photos'] = 'liczba plików, dla których zostały dodane miniatury';
 $lang['total time'] = 'czas sumaryczny';
@@ -418,7 +409,4 @@
 $lang['Element'] = '';
 $lang['Section'] = 'sekcja';
-$lang['Save page visits by guests'] = 'Zapisuj odwiedziny strony przez  gości';
-$lang['Save page visits by users'] = 'Zapisuj odwiedziny strony przez  użytkowników';
-$lang['Save page visits by administrators'] = 'Zapisuj odwiedziny strony przez administratorów';
 $lang['An information email was sent to group "%s"'] = 'Powiadomienie wysłane do członków grupy "%s"';
 $lang['Send an information email to group members'] = 'Wyślij powiadomienie do członków grupy';
@@ -442,5 +430,4 @@
 $lang['guest'] = 'gość';
 $lang['default values'] = 'wartości domyślne';
-$lang['High filesize'] = 'Duży rozmiar pliku';
 $lang['Guest cannot be deleted'] = 'Gość nie może zostać usunięty';
 $lang['Default user cannot be deleted'] = 'domyślny użytkownik nie może zostać usunięty';
@@ -796,5 +783,4 @@
 $lang['Height'] = 'Wysokość';
 $lang['Follow Orientation'] = 'Zgodnie z orientacją';
-$lang['If you want to regenerate thumbnails, please go to the <a href="%s">Batch Manager</a>.'] = 'Jeśli chcesz odświeżyć miniatury - przejdź do <a href="%s">Menadżera Wsadowego</a>.';
 $lang['Graphics Library'] = 'Biblioteki Graficzne';
 $lang['... or '] = '... lub ';
@@ -827,5 +813,4 @@
 $lang['Add to caddie'] = 'Dodaj do koszyka';
 $lang['Add tags'] = 'Dodaj tagi';
-$lang['High dimensions'] = 'Wymiary wysokiej rozdzielczości';
 $lang['Last import'] = 'Ostatnie importowanie';
 $lang['Photo name'] = 'Nazwa zdjęcia';
@@ -842,6 +827,21 @@
 $lang['The original maximum width must be a number between %d and %d'] = 'Oryginalna maksymalna szerokość musi być liczbą pomiędzy %d i %d';
 $lang['Resize after upload'] = 'Zmień rozmiar po wgraniu';
-$lang['Photo sizes'] = 'Rozmiary Zdjęć';
 $lang['Original Size'] = 'Oryginalny Rozmiar';
+$lang['A locked gallery is only visible to administrators'] = 'Zablokowana galeria jest widoczna tylko dla administratorów';
+$lang['Unlock gallery'] = 'Odblokuj galerię';
+$lang['Gallery unlocked'] = 'Galeria odblokowana';
+$lang['Notify administrators when a comment is'] = 'Powiadom administratorów jeżeli komentarz jest';
+$lang['modified'] = 'zmodyfikowany';
+$lang['pending validation'] = 'oczekuje na zatwierdzenie';
+$lang['Save visits in history for'] = 'Zapisz historię odwiedzin dla';
+$lang['simple visitors'] = 'prostych użytkowników';
+$lang['registered users'] = 'zarejestrowanych użytkowników';
+$lang['administrators'] = 'administratorów';
+$lang['This album contains %d photos, added on %s.'] = 'Ten album zawiera %d zdjęć, dodanych %s.';
+$lang['This album contains %d photos, added between %s and %s.'] = 'Ten album zawiera %d zdjęć, dodanych między %s a %s.';
+$lang['This album contains no photo.'] = 'Ten album nie zawiera zdjęć.';
+$lang['Not cropped correctly?'] = 'Rozmiar nie zmieniony poprawnie?';
+$lang['Center of interest'] = 'Centrum zainteresowania';
+$lang['Move to album'] = 'Przenieś do albumu';
 
 ?>