Index: /extensions/UserAdvManager/trunk/language/de_DE/help.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/de_DE/help.lang.php	(revision 13121)
+++ /extensions/UserAdvManager/trunk/language/de_DE/help.lang.php	(revision 13122)
@@ -283,5 +283,3 @@
 Custom Text für die Weiterleitungsseite können in dieses Feld eingegeben werden dass ist kompatibel mit den FCK-Editor und, um mehrere Sprachen zu benutzen, können Sie die Extended Description Plugin-Tags verwenden, wenn er aktiv ist.';
 $lang['UAM_USRAutoMailTitle_d'] = 'Wenn aktiviert, wird diese Funktion automatisch zu senden personalisierte Inhalte in "Reminder per E-Mail mit neuer Schlüssel generiert", um Besucher, die Kriterien entsprechen.';
-
-//$lang['UAM_lastvisitTitle_d'] = 'Dies aktiviert einen Tisch in der &quot;Tracking users&quot;-Reiter, die Mitglieder der Galerie aufgef&uuml;hrt sind und zum Zeitpunkt ihres letzten Besuch und verbrachte Zeit (Tage) seit ihrem letzten Besuch. Die &Uuml;berwachung ist rein informativ f&uuml;r den Administrator der Galerie.';
 ?>
Index: /extensions/UserAdvManager/trunk/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 13121)
+++ /extensions/UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 13122)
@@ -415,11 +415,3 @@
 $lang['UAM_You cannot pwdreset your account'] = 'Passwort erneuern können nicht auf eigene Rechnung eingestellt werden!';
 $lang['UAM_You need to confirm pwdreset'] = 'Sie müssen bestätigen, Passwort erneuern (check box)!';
-
-//$lang['UAM_SubTitle5'] = 'Tracking-Besucher';
-//$lang['UAM_Tab_UserList'] = 'Tracking-Besucher';
-//$lang['UAM_LastVisit'] = ' Tracking registrierte Benutzer';
-
-//$lang['UAM_Tab_UserManager'] = 'Tracking Validierungen';
-//$lang['UAM_SubTitle3'] = 'Tracking Validierungen';
-//$lang['UAM_UserManager_Title'] = 'Tracking Validierungen';
 ?>
Index: /extensions/UserAdvManager/trunk/language/en_UK/help.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/en_UK/help.lang.php	(revision 13121)
+++ /extensions/UserAdvManager/trunk/language/en_UK/help.lang.php	(revision 13122)
@@ -305,5 +305,4 @@
 This field is compatible with the FCK Editor and, for multi-languages, you can use the [lang] tags of the Extended description plugin if it\'s active.';
 $lang['UAM_Tracking registered users_d'] = 'This activates a table in the &quot;Tracking registered users&quot; tab which are registered users listed on the gallery and the date of their last visit and time spent (in days) since their last visit. Monitoring is purely informative for the administrator of the gallery.';
-//$lang['UAM_lastvisitTitle_d'] = 'This activates a table in the &quot;Tracking users&quot; tab which are registered users listed on the gallery and the date of their last visit and time spent (in days) since their last visit. Monitoring is purely informative for the administrator of the gallery.';
 // --------- End: New or revised $lang ---- from version 2.30.3
 ?>
Index: /extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 13121)
+++ /extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 13122)
@@ -402,12 +402,4 @@
 $lang['UAM_Tracking registered users'] = 'Tracking registered users';
 $lang['UAM_Tracking confirmations'] = 'Tracking confirmations';
-//$lang['UAM_UserList_Title'] = 'Monitoring registered users';
-//$lang['UAM_SubTitle5'] = 'Tracking users';
-//$lang['UAM_Tab_UserList'] = 'Tracking users';
-//$lang['UAM_LastVisit'] = ' Tracking registered users';
-
-//$lang['UAM_Tab_UserManager'] = 'Tracking confirmations';
-//$lang['UAM_SubTitle3'] = 'Tracking confirmations';
-//$lang['UAM_UserManager_Title'] = 'Tracking confirmations';
 // --------- End: New or revised $lang ---- from version 2.30.3
 ?>
Index: /extensions/UserAdvManager/trunk/language/es_ES/help.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/es_ES/help.lang.php	(revision 13121)
+++ /extensions/UserAdvManager/trunk/language/es_ES/help.lang.php	(revision 13122)
@@ -286,5 +286,3 @@
 Custom text for the redirect page can be entered in this field that is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.';
 // --------- End: New or revised $lang ---- from version 2.20.11
-
-//$lang['UAM_lastvisitTitle_d'] = 'Esto activa una tabla de &quot;Seguimiento de los usuarios&quot; ficha de matriculaci&oacute;n de los usuarios que aparecen en la galer&iacute;a y la fecha de su &uacute;ltima visita y el tiempo (en d&iacute;as) desde su &uacute;ltima visita. El seguimiento es meramente informativo para el administrador de la galer&iacute;a.';
 ?>
Index: /extensions/UserAdvManager/trunk/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 13121)
+++ /extensions/UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 13122)
@@ -254,13 +254,4 @@
 $lang['UAM_GTAutoGp'] = 'Cambio automático de grupo / estado / nivel de confidencialidad';
 $lang['UAM_GTAutoMail'] = 'Automáticamente el envío de un correo electrónico cuando se cambia de grupo / estado / nivel de confidencialidad';
-
-//$lang['UAM_UserList_Title'] = 'Seguimiento de los usuarios registrados';
-//$lang['UAM_SubTitle5'] = 'Seguimiento de los usuarios';
-//$lang['UAM_Tab_UserList'] = 'Seguimiento de los usuarios';
-//$lang['UAM_LastVisit'] = ' Seguimiento de usuarios registrados';
-
-//$lang['UAM_Tab_UserManager'] = 'Seguimiento de las validaciones';
-//$lang['UAM_SubTitle3'] = 'Seguimiento de las validaciones';
-//$lang['UAM_UserManager_Title'] = 'Seguimiento de las validaciones';
 // --------- End: New or revised $lang ---- from version 2.30.2
 ?>
Index: /extensions/UserAdvManager/trunk/language/fr_FR/help.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/fr_FR/help.lang.php	(revision 13121)
+++ /extensions/UserAdvManager/trunk/language/fr_FR/help.lang.php	(revision 13122)
@@ -301,5 +301,4 @@
 <b>Fonction de tri du tableau</b>: Vous pouvez trier les données affichées en cliquant sur les entêtes de colonnes. L\'utilisation de la touche MAJ ou SHIFT permet de trier sur 1 à 4 colonnes simultanées maximum.';
 $lang['UAM_Tracking registered users_d'] = 'Cette option active, dans l\'onglet &quot;Suivi des utilisateurs inscrits&quot;, un tableau recensant les utilisateurs inscrits, la date de leur dernière visite et le nombre de jours écoulés depuis leur dernière visite. Il s\'agit d\'un suivi purement informatif pour l\'administrateur de la galerie.';
-//$lang['UAM_lastvisitTitle_d'] = 'Cette option active, dans l\'onglet &quot;Suivi des utilisateurs inscrits&quot;, un tableau recensant les utilisateurs inscrits, la date de leur dernière visite et le nombre de jours écoulés depuis leur dernière visite. Il s\'agit d\'un suivi purement informatif pour l\'administrateur de la galerie.';
 // --------- End: New or revised $lang ---- from version 2.30.3
 ?>
Index: /extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 13121)
+++ /extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 13122)
@@ -405,13 +405,4 @@
 $lang['UAM_Tracking registered users'] = 'Suivi des utilisateurs inscrits';
 $lang['UAM_Tracking confirmations'] = 'Suivi des confirmations';
-/* UserList Tab */
-//$lang['UAM_UserList_Title'] = 'Suivi des utilisateurs inscrits';
-//$lang['UAM_Tab_UserList'] = 'Suivi des utilisateurs';
-//$lang['UAM_LastVisit'] = ' Suivi des utilisateurs inscrits';
-//$lang['UAM_SubTitle5'] = 'Informations sur les utilisateurs';
-
-//$lang['UAM_Tab_UserManager'] = 'Suivi des confirmations';
-//$lang['UAM_SubTitle3'] = 'Suivi des confirmations';
-//$lang['UAM_UserManager_Title'] = 'Suivi des confirmations';
 // --------- End: New or revised $lang ---- from version 2.30.3
 ?>
Index: /extensions/UserAdvManager/trunk/language/hu_HU/help.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/hu_HU/help.lang.php	(revision 13121)
+++ /extensions/UserAdvManager/trunk/language/hu_HU/help.lang.php	(revision 13122)
@@ -287,5 +287,3 @@
 Custom text for the redirect page can be entered in this field that is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.';
 // --------- End: New or revised $lang ---- from version 2.20.11
-
-//$lang['UAM_lastvisitTitle_d'] = 'This activates a table in the &quot;Tracking users&quot; tab which are registered users listed on the gallery and the date of their last visit and time spent (in days) since their last visit. Monitoring is purely informative for the administrator of the gallery.';
 ?>
Index: /extensions/UserAdvManager/trunk/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/hu_HU/plugin.lang.php	(revision 13121)
+++ /extensions/UserAdvManager/trunk/language/hu_HU/plugin.lang.php	(revision 13122)
@@ -342,12 +342,3 @@
 $lang['UAM_RedirToProfile'] = 'Átirányítás a Testreszabás oldalra';
 // --------- End: New or revised $lang ---- from version 2.30.2
-
-//$lang['UAM_UserList_Title'] = 'Regisztrált felhasználó figyelése';
-//$lang['UAM_SubTitle5'] = 'Felhasználó-követés';
-//$lang['UAM_Tab_UserList'] = 'Felhasználó-követés';
-//$lang['UAM_LastVisit'] = ' Regisztrált felhasználók követése';
-
-//$lang['UAM_Tab_UserManager'] = 'Érvényesítés követése';
-//$lang['UAM_SubTitle3'] = 'Érvényesítés követése';
-//$lang['UAM_UserManager_Title'] = 'Érvényesítés követése';
 ?>
Index: /extensions/UserAdvManager/trunk/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 13121)
+++ /extensions/UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 13122)
@@ -322,12 +322,3 @@
 $lang['UAM_GTAutoMail'] = 'Emailing di rilancio automatico per cambiamento gruppo / statuto / livello di riservatezza';
 // --------- End: New or revised $lang ---- from version 2.30.2
-
-//$lang['UAM_UserList_Title'] = 'Monitoraggio degli utenti iscritti';
-//$lang['UAM_Tab_UserList'] = 'Monitoraggio degli utenti';
-//$lang['UAM_SubTitle5'] = 'Informazioni sugli utenti';
-//$lang['UAM_LastVisit'] = ' Monitoraggio degli utenti iscritti';
-
-//$lang['UAM_Tab_UserManager'] = 'Monitoraggio delle convalide';
-//$lang['UAM_SubTitle3'] = 'Monitoraggio delle convalide';
-//$lang['UAM_UserManager_Title'] = 'Monitoraggio delle convalide';
 ?>
Index: /extensions/UserAdvManager/trunk/language/lv_LV/help.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/lv_LV/help.lang.php	(revision 13121)
+++ /extensions/UserAdvManager/trunk/language/lv_LV/help.lang.php	(revision 13122)
@@ -146,6 +146,3 @@
 <b style=&quot;color: red;&quot;>Important note :</b> Ja no slēptā ghost lietotāja pēc termiņa limita, neskatoties uz informēšanu ar e-pastu (ja iespējots), nav nekādas ziņas, viņš automātiski tie dzēsts no datu bāzes';
 // --------- End: New or revised $lang ---- from version 2.16.0
-
-
-//$lang['UAM_lastvisitTitle_d'] = 'Šis aktivē tabulu &quot;Tracking users&quot; iezīmē (tabā), kurā reģistrēti galeriju apmeklējušie lietotāji, viņu pēdējā apmeklējuma datums, kā arī galerijā pavadītais laiks (dienās) kopš pēdējā apmeklējuma. Monitoringam ir tīri informatīvs raksturs galerijas administratora vajadzībām.';
 ?>
Index: /extensions/UserAdvManager/trunk/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/lv_LV/plugin.lang.php	(revision 13121)
+++ /extensions/UserAdvManager/trunk/language/lv_LV/plugin.lang.php	(revision 13122)
@@ -230,12 +230,3 @@
 $lang['UAM_RedirToProfile'] = 'Novirzīt uz pielāgošanas lapu';
 // --------- End: New or revised $lang ---- from version 2.30.2
-
-//$lang['UAM_UserList_Title'] = 'Re;gistrēto lietotāju Monitorings';
-//$lang['UAM_SubTitle5'] = 'Lietotāju izsekošana';
-//$lang['UAM_Tab_UserList'] = 'Lietotāju izsekošana';
-//$lang['UAM_LastVisit'] = ' Reģistrēto lietotāju izsekošana';
-
-//$lang['UAM_Tab_UserManager'] = 'Apstiprinājumu izsekošana';
-//$lang['UAM_SubTitle3'] = 'Apstiprinājumu izsekošana';
-//$lang['UAM_UserManager_Title'] = 'Apstiprinājumu izsekošana';
 ?>