Index: extensions/SmartAlbums/language/es_ES/description.txt
===================================================================
--- extensions/SmartAlbums/language/es_ES/description.txt	(revision 13129)
+++ extensions/SmartAlbums/language/es_ES/description.txt	(revision 13129)
@@ -0,0 +1,1 @@
+Crea fácilmente álbumes dinámicos con las etiquetas, fechas y otras restricciones
Index: extensions/SmartAlbums/language/es_ES/index.php
===================================================================
--- extensions/SmartAlbums/language/es_ES/index.php	(revision 13129)
+++ extensions/SmartAlbums/language/es_ES/index.php	(revision 13129)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/SmartAlbums/language/es_ES/plugin.lang.php
===================================================================
--- extensions/SmartAlbums/language/es_ES/plugin.lang.php	(revision 13129)
+++ extensions/SmartAlbums/language/es_ES/plugin.lang.php	(revision 13129)
@@ -0,0 +1,39 @@
+<?php
+
+$lang['%d photos associated to album %s'] = '%d fotos relacionadas con el álbum %s';
+$lang['No filter selected'] = 'Sin filtro seleccionado';
+$lang['No tag selected'] = 'No hay etiquetas seleccionadas';
+$lang['Date string is malformed'] = 'La fecha no es correcta';
+$lang['Limit must be an integer'] = 'El límite debe ser un entero';
+$lang['You can\'t use more than one limit'] = 'Sólo se puede utilizar un límite';
+$lang['All these tags'] = 'Todas las etiquetas';
+$lang['One of these tags'] = 'Una de las etiquetas';
+$lang['None of these tags'] = 'Ninguna etiqueta';
+$lang['Only these tags'] = 'Sólo las etiquetas';
+$lang['Added on'] = 'Añadido el';
+$lang['Added before'] = 'Añadido antes de';
+$lang['Added after'] = 'Añadido después de';
+$lang['Created on'] = 'creado el';
+$lang['Created before'] = 'Creado antes del';
+$lang['Created after'] = 'Creado después del';
+$lang['%d photo'] = '%d foto';
+$lang['%d photos'] = '%d fhotos';
+$lang['tags filter'] = 'Filtrar por etiquetas';
+$lang['date filter'] = 'filtrar por fecha';
+$lang['limit filter'] = 'numero máx. de elementos';
+$lang['Add filters here'] = 'Añadir filtros aquí';
+$lang['This album is a SmartAlbum'] = 'Este álbum es un SmartAlbum';
+$lang['Count'] = 'Contar';
+$lang['Regenerate photos list of this SmartAlbum'] = 'Regenerar las fotos de este SmartAlbum';
+$lang['Regenerate photos list of all SmartAlbums'] = 'Regenerar las fotos de todos los SmartAlbums';
+$lang['Update albums on file upload'] = 'Actualización de los álbumes después de la puesta en linea de un archivo';
+$lang['(can cause slowdowns on admin pages)'] = '(puede causar retrasos)';
+$lang['All SmartAlbums'] = 'Todos los SmartAlbums';
+$lang['Add a SmartAlbum'] = 'Añadir un SmartAlbum';
+$lang['SmartAlbum deleted'] = 'SmartAlbum eliminado';
+$lang['SmartAlbum added'] = 'SmartAlbum añadido';
+$lang['Only SmartAlbums are displayed on this page'] = 'Sólo los SmartAlbums se publican en esta página';
+$lang['To order albums please go the main albums management page'] = 'Para ordenar los álbumes por favor visite la página principal <a href="admin.php?page=cat_list">Gestión de álbumes</a>';
+$lang['Don\'t show this message again'] = 'No volver a mostrar este mensaje';
+
+?>